%define _debugsource_template %{nil}
%define debug_package %{nil}
Name:           wave511-vdec
Version:        1.0
Release:        1.jh7110%{?dist}
Summary:        OpenOMX  Video decoder library.(JH7110 Video decoder library)
License:        MIT
URL:            https://github.com/starfive-tech/
Source0:        wave511-vdec.tar.gz

BuildRequires: automake 
BuildRequires: gcc 
BuildRequires: make
BuildRequires: libavformat-free-devel
BuildRequires: libavutil-free-devel
BuildRequires: libavcodec-free-devel
BuildRequires: libswresample-free-devel 

%description
OpenOMX Video decoder library with firmwware.
Build on Fedora 41.

%prep
%setup -q

%build
export CFLAGS="-Wall"
cd %{_builddir}/wave511-vdec-1.0/wave511/wave511 
make -f WaveDecode_buildroot.mak clean
make -f WaveDecode_buildroot.mak


%install
cd %{_builddir}/wave511-vdec-1.0/wave511/wave511
make -f WaveDecode_buildroot.mak  install TARGET_DIR=%{buildroot} 
mv %{buildroot}/usr/lib %{buildroot}/usr/lib64


%files 
%{_libdir}/libsfdec.so
/lib/firmware/chagall.bin
%{_includedir}/wave511/




%changelog
* Wed Jul 10 2024 Leo Lu <leo.lu@starfivetech.com> - 1.0
- JH7110 OpenMAX Build Packages On F41.
